Subject: Re: bug#34112: Guix 0.16.0-8 FTBFS: ">>= (bind) used outside of 'with-monad'"

From: Ludovic Courtès <[email-masked]>
Date: Thu, 17 Jan 2019 13:20:34 +0100

Hi Mark,

Mark H Weaver <[email-masked]> skribis:

> In the most recent evaluation of 'master' on hydra.gnu.org (eval 110393,
> corresponding to git commit 5327e912a8a477e472da9ec03c99cdedcc04af75),
> the 'guix' package failed to build on x86_64, with the following error:
>
> guix/hg-download.scm:93:2: >>=: >>= (bind) used outside of 'with-monad' in form (>>= (package->derivation guile system) (lambda (t-2c116650a85e261-45a) (mlet* %store-monad () (let ((guile t-2c116650a85e261-45a)) (gexp->derivation (or name "hg-checkout") build #:system system #:local-build? #t #:hash-algo hash-algo #:hash hash #:recursive? #t #:guile-for-build guile)))))

This is the dreaded syntax parameter bug:

  https://issues.guix.info/issue/27476

which I think is the same as the “info-dir bug”:

  https://issues.guix.info/issue/28144

I had come to believe Guile 2.2.4 addressed these, but lately people
have been reporting similar issues quite frequently, so I guess we have
a problem.

Thoughts?

Ludo’.